package cn.yw.video.videotask.model;

import cn.base.bean.BaseBean;
//[运维监控任务规则表]

public class YwvideotaskruleBean extends BaseBean implements java.io.Serializable {
	private String ruleid;//[参数配置序号]
	private String taskid;//[参数配置名称]
	private String ruleruntime;//[时间段]
	private int nosignalswitch;//[无信号检测开关]
	private int imgclearswitch;//[图像清晰检测开关]
	private String imgclearunderlevel;//[图像清晰度检测下水位阀值]
	private String imgclearupperlevel;//[图像清晰度检测上水位阀值]
	private int imgcontrastswitch;//[图像对比度检测开关]
	private String imgcontrastunderlevel;//[图像对比度检测下水位阀值]
	private String imgcontrastupperlevel;//[图像对比度检测上水位阀值]
	private int imgcolorswitch;//[偏色检测开关]
	private String imgcolordeviation;//[颜色色偏]
	private int imglightswitch;//[亮度检测开关]
	private String imglightunderlevel;//[亮度检测低水位]
	private String imglightupperlevel;//[亮度检测高水位]
	private int videofreezeswitch;//[视频冻结检测开关]
	private String videofreezedegree;//[spdjcd]
	private int videojitterswitch;//[镜头抖动检测开关]
	private String videojitterdegree;//[镜头抖动程度]
	private int videoupheavalswitch;//[视频剧变检测开关]
	private String videoupheavaldegree;//[视频剧变程度]
	private int videocodeerrorswitch;//[编码异常检测开关]
	private String videocodeerrordegree;//[编码异常程度]
	private int videonoiseswitch;//[噪声检测开关]
	private String videonoisedegree;//[噪声雪花异常程度]
	private int videorollstripeswitch;//[稳定滚动条纹检测开关]
	private String videorollstropedegree;//[稳定滚动条纹异常程度]
	private String createaccount;//[创建人员]
	private String createtime;//[创建日期]
	private String modifyaccount;//[修改人员]
	private String modifytime;//[修改日期]
	private String remarks;//[备注]
	private String extend1;//[扩展1]
	private String extend2;//[扩展2]
	private String extend3;//[扩展3]
	private String extend4;//[扩展4]
	public void setRuleid(String ruleid){
		this.ruleid = ruleid;
	}
	public String getRuleid(){
		return ruleid;
	}
	public void setTaskid(String taskid){
		this.taskid = taskid;
	}
	public String getTaskid(){
		return taskid;
	}
	public void setRuleruntime(String ruleruntime){
		this.ruleruntime = ruleruntime;
	}
	public String getRuleruntime(){
		return ruleruntime;
	}
	public void setNosignalswitch(int nosignalswitch){
		this.nosignalswitch = nosignalswitch;
	}
	public int getNosignalswitch(){
		return nosignalswitch;
	}
	public void setImgclearswitch(int imgclearswitch){
		this.imgclearswitch = imgclearswitch;
	}
	public int getImgclearswitch(){
		return imgclearswitch;
	}
	public void setImgclearunderlevel(String imgclearunderlevel){
		this.imgclearunderlevel = imgclearunderlevel;
	}
	public String getImgclearunderlevel(){
		return imgclearunderlevel;
	}
	public void setImgclearupperlevel(String imgclearupperlevel){
		this.imgclearupperlevel = imgclearupperlevel;
	}
	public String getImgclearupperlevel(){
		return imgclearupperlevel;
	}
	public void setImgcontrastswitch(int imgcontrastswitch){
		this.imgcontrastswitch = imgcontrastswitch;
	}
	public int getImgcontrastswitch(){
		return imgcontrastswitch;
	}
	public void setImgcontrastunderlevel(String imgcontrastunderlevel){
		this.imgcontrastunderlevel = imgcontrastunderlevel;
	}
	public String getImgcontrastunderlevel(){
		return imgcontrastunderlevel;
	}
	public void setImgcontrastupperlevel(String imgcontrastupperlevel){
		this.imgcontrastupperlevel = imgcontrastupperlevel;
	}
	public String getImgcontrastupperlevel(){
		return imgcontrastupperlevel;
	}
	public void setImgcolorswitch(int imgcolorswitch){
		this.imgcolorswitch = imgcolorswitch;
	}
	public int getImgcolorswitch(){
		return imgcolorswitch;
	}
	public void setImgcolordeviation(String imgcolordeviation){
		this.imgcolordeviation = imgcolordeviation;
	}
	public String getImgcolordeviation(){
		return imgcolordeviation;
	}
	public void setImglightswitch(int imglightswitch){
		this.imglightswitch = imglightswitch;
	}
	public int getImglightswitch(){
		return imglightswitch;
	}
	public void setImglightunderlevel(String imglightunderlevel){
		this.imglightunderlevel = imglightunderlevel;
	}
	public String getImglightunderlevel(){
		return imglightunderlevel;
	}
	public void setImglightupperlevel(String imglightupperlevel){
		this.imglightupperlevel = imglightupperlevel;
	}
	public String getImglightupperlevel(){
		return imglightupperlevel;
	}
	public void setVideofreezeswitch(int videofreezeswitch){
		this.videofreezeswitch = videofreezeswitch;
	}
	public int getVideofreezeswitch(){
		return videofreezeswitch;
	}
	public void setVideofreezedegree(String videofreezedegree){
		this.videofreezedegree = videofreezedegree;
	}
	public String getVideofreezedegree(){
		return videofreezedegree;
	}
	public void setVideojitterswitch(int videojitterswitch){
		this.videojitterswitch = videojitterswitch;
	}
	public int getVideojitterswitch(){
		return videojitterswitch;
	}
	public void setVideojitterdegree(String videojitterdegree){
		this.videojitterdegree = videojitterdegree;
	}
	public String getVideojitterdegree(){
		return videojitterdegree;
	}
	public void setVideoupheavalswitch(int videoupheavalswitch){
		this.videoupheavalswitch = videoupheavalswitch;
	}
	public int getVideoupheavalswitch(){
		return videoupheavalswitch;
	}
	public void setVideoupheavaldegree(String videoupheavaldegree){
		this.videoupheavaldegree = videoupheavaldegree;
	}
	public String getVideoupheavaldegree(){
		return videoupheavaldegree;
	}
	public void setVideocodeerrorswitch(int videocodeerrorswitch){
		this.videocodeerrorswitch = videocodeerrorswitch;
	}
	public int getVideocodeerrorswitch(){
		return videocodeerrorswitch;
	}
	public void setVideocodeerrordegree(String videocodeerrordegree){
		this.videocodeerrordegree = videocodeerrordegree;
	}
	public String getVideocodeerrordegree(){
		return videocodeerrordegree;
	}
	public void setVideonoiseswitch(int videonoiseswitch){
		this.videonoiseswitch = videonoiseswitch;
	}
	public int getVideonoiseswitch(){
		return videonoiseswitch;
	}
	public void setVideonoisedegree(String videonoisedegree){
		this.videonoisedegree = videonoisedegree;
	}
	public String getVideonoisedegree(){
		return videonoisedegree;
	}
	public void setVideorollstripeswitch(int videorollstripeswitch){
		this.videorollstripeswitch = videorollstripeswitch;
	}
	public int getVideorollstripeswitch(){
		return videorollstripeswitch;
	}
	public void setVideorollstropedegree(String videorollstropedegree){
		this.videorollstropedegree = videorollstropedegree;
	}
	public String getVideorollstropedegree(){
		return videorollstropedegree;
	}
	public void setCreateaccount(String createaccount){
		this.createaccount = createaccount;
	}
	public String getCreateaccount(){
		return createaccount;
	}
	public void setCreatetime(String createtime){
		this.createtime = createtime;
	}
	public String getCreatetime(){
		return createtime;
	}
	public void setModifyaccount(String modifyaccount){
		this.modifyaccount = modifyaccount;
	}
	public String getModifyaccount(){
		return modifyaccount;
	}
	public void setModifytime(String modifytime){
		this.modifytime = modifytime;
	}
	public String getModifytime(){
		return modifytime;
	}
	public void setRemarks(String remarks){
		this.remarks = remarks;
	}
	public String getRemarks(){
		return remarks;
	}
	public void setExtend1(String extend1){
		this.extend1 = extend1;
	}
	public String getExtend1(){
		return extend1;
	}
	public void setExtend2(String extend2){
		this.extend2 = extend2;
	}
	public String getExtend2(){
		return extend2;
	}
	public void setExtend3(String extend3){
		this.extend3 = extend3;
	}
	public String getExtend3(){
		return extend3;
	}
	public void setExtend4(String extend4){
		this.extend4 = extend4;
	}
	public String getExtend4(){
		return extend4;
	}
}